Subject: Possible error in latest git pull

From: Colin Beckingham <[email-masked]>
Date: Thu, 4 Aug 2016 07:12:33 -0400

Just did a git pull on pgadmin4 and on attempt to start the web 
interface I have a problem. App seems to start correctly and invites me 
to open my browser, but on attempt to log in I get a rotating wheel and 
this in the console. Quite possibly my error, on openSUSE Leap 42.1 
fully patched:

 > python pgAdmin4.py
Starting pgAdmin 4. Please navigate to http://localhost:5050 in your 
browser.
2016-08-04 07:02:40,202: ERROR    pgadmin:    Exception on 
/browser/js/messages.js [GET]
Traceback (most recent call last):
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1817, in 
wsgi_app
     response = self.full_dispatch_request()
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1477, in 
full_dispatch_request
     rv = self.handle_user_exception(e)
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1381, in 
handle_user_exception
     reraise(exc_type, exc_value, tb)
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1475, in 
full_dispatch_request
     rv = self.dispatch_request()
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1461, in 
dispatch_request
     return self.view_functions[rule.endpoint](**req.view_args)
   File "/home/colin/pgadmin4git/web/pgadmin/browser/__init__.py", line 
543, in messages_js
     render_template('browser/js/messages.js', _=gettext),
   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 
128, in render_template
     context, ctx.app)
   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 
110, in _render
     rv = template.render(context)
   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 
969, in render
     return self.environment.handle_exception(exc_info, True)
   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 
742, in handle_exception
     reraise(exc_type, exc_value, tb)
   File 
"/home/colin/pgadmin4git/web/pgadmin/browser/templates/browser/js/messages.js", 
line 19, in top-level template code
     'MUST_GR_EQ' : "{{ _("'%s' must be greater than or equal to 
%d.")|safe }}",
   File "/usr/lib/python2.7/site-packages/flask_babel/__init__.py", line 
461, in gettext
     return t.ugettext(string) % variables
TypeError: not enough arguments for format string
2016-08-04 07:02:40,233: ERROR    pgadmin:    Exception on 
/browser/js/node.js [GET]
Traceback (most recent call last):
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1817, in 
wsgi_app
     response = self.full_dispatch_request()
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1477, in 
full_dispatch_request
     rv = self.handle_user_exception(e)
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1381, in 
handle_user_exception
     reraise(exc_type, exc_value, tb)
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1475, in 
full_dispatch_request
     rv = self.dispatch_request()
   File "/usr/lib/python2.7/site-packages/flask/app.py", line 1461, in 
dispatch_request
     return self.view_functions[rule.endpoint](**req.view_args)
   File "/usr/lib/python2.7/site-packages/flask_login.py", line 758, in 
decorated_view
     return func(*args, **kwargs)
   File "/home/colin/pgadmin4git/web/pgadmin/browser/__init__.py", line 
535, in node_js
     _=gettext
   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 
128, in render_template
     context, ctx.app)
   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 
110, in _render
     rv = template.render(context)
   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 
969, in render
     return self.environment.handle_exception(exc_info, True)
   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 
742, in handle_exception
     reraise(exc_type, exc_value, tb)
   File 
"/home/colin/pgadmin4git/web/pgadmin/browser/templates/browser/js/node.js", 
line 457, in top-level template code
     var msg = '{{ _('Are you sure want to stop editing the properties 
of %s "%s"?') }}';
   File "/usr/lib/python2.7/site-packages/flask_babel/__init__.py", line 
461, in gettext
     return t.ugettext(string) % variables
TypeError: not enough arguments for format string

-- 
Sent via pgadmin-hackers mailing list ([email-masked])
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgadmin-hackers

---

From: Ashesh Vashi <[email-masked]>
Date: Thu, 4 Aug 2016 16:45:38 +0530

Dave upgraded the dependencies of flask_babel few days back.
Did you run "pip upgrade -r requirements_pyX.txt"?

--

Thanks & Regards,

Ashesh Vashi
EnterpriseDB INDIA: Enterprise PostgreSQL Company
<http://www.enterprisedb.com>

*http://www.linkedin.com/in/asheshvashi*
<http://www.linkedin.com/in/asheshvashi>

On Thu, Aug 4, 2016 at 4:42 PM, Colin Beckingham <[email-masked]>
wrote:

> Just did a git pull on pgadmin4 and on attempt to start the web interface
> I have a problem. App seems to start correctly and invites me to open my
> browser, but on attempt to log in I get a rotating wheel and this in the
> console. Quite possibly my error, on openSUSE Leap 42.1 fully patched:
>
> > python pgAdmin4.py
>   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 128,
> in render_template
>     context, ctx.app)
>   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 110,
> in _render
>   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 969,
> in render
>   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 742,
> in handle_exception
>     'MUST_GR_EQ' : "{{ _("'%s' must be greater than or equal to %d.")|safe
> }}",
>   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 128,
> in render_template
>     context, ctx.app)
>   File "/usr/lib/python2.7/site-packages/flask/templating.py", line 110,
> in _render
>   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 969,
> in render
>   File "/usr/lib/python2.7/site-packages/jinja2/environment.py", line 742,
> in handle_exception
>     var msg = '{{ _('Are you sure want to stop editing the properties of
> %s "%s"?') }}';

---

From: Colin Beckingham <[email-masked]>
Date: Thu, 4 Aug 2016 07:25:19 -0400

Thanks Ashesh, all good now.

On 04/08/16 07:15, Ashesh Vashi wrote:
> /http://www.linkedin.com/in/asheshvashi/
>
>
> On Thu, Aug 4, 2016 at 4:42 PM, Colin Beckingham <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     interface I have a problem. App seems to start correctly and
>     invites me to open my browser, but on attempt to log in I get a
>     rotating wheel and this in the console. Quite possibly my error,
>     on openSUSE Leap 42.1 fully patched:
>
>     > python pgAdmin4.py
>     Starting pgAdmin 4. Please navigate to http://localhost:5050 in
>     your browser.
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1817,
>     in wsgi_app
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1477,
>     in full_dispatch_request
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1381,
>     in handle_user_exception
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1475,
>     in full_dispatch_request
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1461,
>     in dispatch_request
>       File "/home/colin/pgadmin4git/web/pgadmin/browser/__init__.py",
>     line 543, in messages_js
>       File "/usr/lib/python2.7/site-packages/flask/templating.py",
>     line 128, in render_template
>         context, ctx.app)
>       File "/usr/lib/python2.7/site-packages/flask/templating.py",
>     line 110, in _render
>       File "/usr/lib/python2.7/site-packages/jinja2/environment.py",
>     line 969, in render
>       File "/usr/lib/python2.7/site-packages/jinja2/environment.py",
>     line 742, in handle_exception
>       File "/usr/lib/python2.7/site-packages/flask_babel/__init__.py",
>     line 461, in gettext
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1817,
>     in wsgi_app
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1477,
>     in full_dispatch_request
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1381,
>     in handle_user_exception
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1475,
>     in full_dispatch_request
>       File "/usr/lib/python2.7/site-packages/flask/app.py", line 1461,
>     in dispatch_request
>       File "/usr/lib/python2.7/site-packages/flask_login.py", line
>     758, in decorated_view
>       File "/home/colin/pgadmin4git/web/pgadmin/browser/__init__.py",
>     line 535, in node_js
>         _=gettext
>       File "/usr/lib/python2.7/site-packages/flask/templating.py",
>     line 128, in render_template
>         context, ctx.app)
>       File "/usr/lib/python2.7/site-packages/flask/templating.py",
>     line 110, in _render
>       File "/usr/lib/python2.7/site-packages/jinja2/environment.py",
>     line 969, in render
>       File "/usr/lib/python2.7/site-packages/jinja2/environment.py",
>     line 742, in handle_exception
>         var msg = '{{ _('Are you sure want to stop editing the
>     properties of %s "%s"?') }}';
>       File "/usr/lib/python2.7/site-packages/flask_babel/__init__.py",
>     line 461, in gettext
>     Sent via pgadmin-hackers mailing list
>     ([email-masked]
>     <mailto:[email-masked]>)